public abstract class Animal
{
	protected String tipo;
	protected String alimentacion;
	
	public Animal(String t, String ali)
	{ 
		tipo = t;
		alimentacion = ali;
	}
	
	public Animal ()
	{
		tipo = "general";
		alimentacion = "no se";
	}
	
	public void mostrar()
	{
		System.out.println ("Soy un animal del tipo: "+tipo);
		System.out.println ("Mi alimentacion es: "+alimentacion);
	}
	
	public abstract void formaDeAlimentar();
	public abstract void formaDeDesplazar();	
}